BaseInputTag (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.html
Class BaseInputTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts.taglib.html.BaseHandlerTag
                  org.apache.struts.taglib.html.BaseInputTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, Tag

Direct Known Subclasses:
  BaseFieldTag, TextareaTag

    public abstract class BaseInputTag

extends BaseHandlerTag

Abstract base class for the various input tags.

Version:
  $Rev: 684382 $ $Date: 2004-10-16 12:38:42 -0400 (Sat, 16 Oct 2004) $
See Also:
  Serialized Form

Field Summary
`protected String` | `cols` The number of character columns for this field, or negative for no limit.
`protected String` | `maxlength` The maximum number of characters allowed, or negative for no limit.
`protected static MessageResources` | `messages` The message resources for this package.
`protected String` | `name` The name of the bean containing our underlying property.
`protected String` | `property` The name of the field (and associated property) being processed.
`protected String` | `rows` The number of rows for this field, or negative for no limit.
`protected String` | `value` The value for this field, or `null` to retrieve the corresponding property from our associated bean.

Fields inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`accesskey, doDisabled, doReadonly, indexed, tabindex`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`BaseInputTag()`

Method Summary
`int` | `doEndTag()` Process the end of this tag.
`int` | `doStartTag()` Process the start of this tag.
`String` | `getAutocomplete()` Return autocomplete
`String` | `getCols()` Return the number of columns for this field.
`String` | `getMaxlength()` Return the maximum length allowed.
`String` | `getName()`
`String` | `getProperty()` Return the property name.
`String` | `getRows()` Return the number of rows for this field.
`String` | `getSize()` Return the size of this field (synonym for `getCols()`).
`String` | `getValue()` Return the field value (if any).
`protected String` | `prepareName()` Prepare the name element
`void` | `release()` Release any acquired resources.
`void` | `setAutocomplete(String autocomplete)` Activate/disactivate autocompletion (on/off)
`void` | `setCols(String cols)` Set the number of columns for this field.
`void` | `setMaxlength(String maxlength)` Set the maximum length allowed.
`void` | `setName(String name)`
`void` | `setProperty(String property)` Set the property name.
`void` | `setRows(String rows)` Set the number of rows for this field.
`void` | `setSize(String size)` Set the size of this field (synonym for `setCols()`).
`void` | `setValue(String value)` Set the field value (if any).

Methods inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`doErrorsExist, getAccesskey, getAlt, getAltKey, getBundle, getDir, getDisabled, getElementClose, getErrorKey, getErrorStyle, getErrorStyleClass, getErrorStyleId, getIndexed, getIndexValue, getLang, getLocale, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getStyleId, getTabindex, getTitle, getTitleKey, isXhtml, lookupProperty, message, prepareAttribute, prepareEventHandlers, prepareFocusEvents, prepareIndex, prepareInternationalization, prepareKeyEvents, prepareMouseEvents, prepareOtherAttributes, prepareStyles, prepareTextEvents, setAccesskey, setAlt, setAltKey, setBundle, setDir, setDisabled, setErrorKey, setErrorStyle, setErrorStyleClass, setErrorStyleId, setIndexed, setLang, setLocale, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setStyleId, setTabindex, setTitle, setTitleKey`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### messages

    protected static MessageResources messages

  The message resources for this package.

### cols

    protected String cols

  The number of character columns for this field, or negative for no limit.

### maxlength

    protected String maxlength

  The maximum number of characters allowed, or negative for no limit.

### property

    protected String property

  The name of the field (and associated property) being processed.

### rows

    protected String rows

  The number of rows for this field, or negative for no limit.

### value

    protected String value

  The value for this field, or `null` to retrieve the corresponding property from our associated bean.

### name

    protected String name

  The name of the bean containing our underlying property.

Constructor Detail

### BaseInputTag

    public BaseInputTag()

Method Detail

### getAutocomplete

    public String getAutocomplete()

  Return autocomplete

  Since:
    1.3.10

### setAutocomplete

    public void setAutocomplete(String autocomplete)

  Activate/disactivate autocompletion (on/off)

  Since:
    1.3.10

### getName

    public String getName()

### setName

    public void setName(String name)

### getCols

    public String getCols()

  Return the number of columns for this field.

### setCols

    public void setCols(String cols)

  Set the number of columns for this field.

  Parameters:
    `cols` - The new number of columns

### getMaxlength

    public String getMaxlength()

  Return the maximum length allowed.

### setMaxlength

    public void setMaxlength(String maxlength)

  Set the maximum length allowed.

  Parameters:
    `maxlength` - The new maximum length

### getProperty

    public String getProperty()

  Return the property name.

### setProperty

    public void setProperty(String property)

  Set the property name.

  Parameters:
    `property` - The new property name

### getRows

    public String getRows()

  Return the number of rows for this field.

### setRows

    public void setRows(String rows)

  Set the number of rows for this field.

  Parameters:
    `rows` - The new number of rows

### getSize

    public String getSize()

  Return the size of this field (synonym for `getCols()`).

### setSize

    public void setSize(String size)

  Set the size of this field (synonym for `setCols()`).

  Parameters:
    `size` - The new size

### getValue

    public String getValue()

  Return the field value (if any).

### setValue

    public void setValue(String value)

  Set the field value (if any).

  Parameters:
    `value` - The new field value, or `null` to retrieve the corresponding property from the bean

### doStartTag

    public int doStartTag()
                   throws JspException

  Process the start of this tag. The default implementation does nothing.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `BodyTagSupport`
  Throws:
    `JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws JspException

  Process the end of this tag. The default implementation does nothing.

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `BodyTagSupport`
  Throws:
    `JspException` - if a JSP exception has occurred

### prepareName

    protected String prepareName()
                          throws JspException

  Prepare the name element

  Overrides:
    `prepareName` in class `BaseHandlerTag`
  Returns:
    The element name.
  Throws:
    `JspException`

### release

    public void release()

  Release any acquired resources.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BaseHandlerTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.